org.apache.ivy.plugins.repository.ssh

## Class Scp.FileInfo

- java.lang.Object
- - org.apache.ivy.plugins.repository.ssh.Scp.FileInfo

Enclosing class:
  Scp

    public class Scp.FileInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Scp.FileInfo()`

### Method Summary

Methods
`java.lang.String` `getFilename()`
`long` `getLastModified()`
`long` `getLength()`
`void` `setFilename(java.lang.String filename)`
`void` `setLastModified(long lastModified)`
`void` `setLength(long length)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Scp.FileInfo

    public Scp.FileInfo()

### Method Detail

#### setFilename

    public void setFilename(java.lang.String filename)

Parameters:
  `filename` - The filename to set.

#### getFilename

    public java.lang.String getFilename()

Returns:
  Returns the filename.

#### setLength

    public void setLength(long length)

Parameters:
  `length` - The length to set.

#### getLength

    public long getLength()

Returns:
  Returns the length.

#### setLastModified

    public void setLastModified(long lastModified)

Parameters:
  `lastModified` - The lastModified to set.

#### getLastModified

    public long getLastModified()

Returns:
  Returns the lastModified.